<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>control/mmwave/include/mmwave_internal.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_56ea320f36428fc096e6ea8f45d8dae0.html">control</a></li><li class="navelem"><a class="el" href="dir_bc5530914c18f88533c1e6a5b88262f4.html">mmwave</a></li><li class="navelem"><a class="el" href="dir_a83d06dd1c5c512c38cc8797eab3a038.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">mmwave_internal.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the internal Header for the mmWave module. This header file should <em>NOT</em> be directly included by applications.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;ti/common/mmwave_error.h&gt;</code><br />
<code>#include &lt;ti/drivers/crc/crc.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/SemaphoreP.h&gt;</code><br />
<code>#include &lt;ti/drivers/mailbox/mailbox.h&gt;</code><br />
<code>#include &lt;<a class="el" href="mmwave__listlib_8h.html">ti/control/mmwave/include/mmwave_listlib.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___spawn_fxn_node__t.html">MMWave_SpawnFxnNode_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Spawn function entry  <a href="struct_m_m_wave___spawn_fxn_node__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___chirp__t.html">MMWave_Chirp_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Chirp configuration  <a href="struct_m_m_wave___chirp__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___profile__t.html">MMWave_Profile_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Profile configuration  <a href="struct_m_m_wave___profile__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___bpm_chirp__t.html">MMWave_BpmChirp_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave BPM configuration  <a href="struct_m_m_wave___bpm_chirp__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___m_c_b__t.html">MMWave_MCB_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Control MCB  <a href="struct_m_m_wave___m_c_b__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga8d37d75d403468e39f2ade2e3c48c040"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#ga8d37d75d403468e39f2ade2e3c48c040">MMWAVE_MAX_NUM_SPAWN_LIST</a>&#160;&#160;&#160;4U</td></tr>
<tr class="memdesc:ga8d37d75d403468e39f2ade2e3c48c040"><td class="mdescLeft">&#160;</td><td class="mdescRight">This defines the maximum number of entries in the spawn list. <br /></td></tr>
<tr class="separator:ga8d37d75d403468e39f2ade2e3c48c040"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga008f5ee7b1cbd5eece52e5b85c355e6a"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#ga008f5ee7b1cbd5eece52e5b85c355e6a">MMWAVE_STATUS_OPENED</a>&#160;&#160;&#160;1U</td></tr>
<tr class="memdesc:ga008f5ee7b1cbd5eece52e5b85c355e6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flag to indicate the open state. <br /></td></tr>
<tr class="separator:ga008f5ee7b1cbd5eece52e5b85c355e6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6d88aa1e61e21fea1a66474bb3061d4d"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#ga6d88aa1e61e21fea1a66474bb3061d4d">MMWAVE_STATUS_CONFIGURED</a>&#160;&#160;&#160;2U</td></tr>
<tr class="memdesc:ga6d88aa1e61e21fea1a66474bb3061d4d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flag to indicate the configured state. <br /></td></tr>
<tr class="separator:ga6d88aa1e61e21fea1a66474bb3061d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadeeb7ffca689a55d2f55b9576ddd3b3f"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#gadeeb7ffca689a55d2f55b9576ddd3b3f">MMWAVE_STATUS_SYNCHRONIZED</a>&#160;&#160;&#160;4U</td></tr>
<tr class="memdesc:gadeeb7ffca689a55d2f55b9576ddd3b3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flag to indicate the synchronization state. <br /></td></tr>
<tr class="separator:gadeeb7ffca689a55d2f55b9576ddd3b3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf26a83233aabbe66c0b8692a53993bf9"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#gaf26a83233aabbe66c0b8692a53993bf9">MMWAVE_STATUS_STARTED</a>&#160;&#160;&#160;8U</td></tr>
<tr class="memdesc:gaf26a83233aabbe66c0b8692a53993bf9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flag to indicate the started state. <br /></td></tr>
<tr class="separator:gaf26a83233aabbe66c0b8692a53993bf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga957ad288cffa80a8f5fe6b548b90e7df"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#ga957ad288cffa80a8f5fe6b548b90e7df">MMWAVE_RF_INITIALIZED</a>&#160;&#160;&#160;1U</td></tr>
<tr class="memdesc:ga957ad288cffa80a8f5fe6b548b90e7df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Link Status flag used to indicate that the RF was initialized successfully. <br /></td></tr>
<tr class="separator:ga957ad288cffa80a8f5fe6b548b90e7df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6d62ff43dd9047c28b7eea05d25c643a"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#ga6d62ff43dd9047c28b7eea05d25c643a">MMWAVE_RF_INIT_FAILED</a>&#160;&#160;&#160;2U</td></tr>
<tr class="memdesc:ga6d62ff43dd9047c28b7eea05d25c643a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Link Status flag used to indicate that the RF initialization failed. <br /></td></tr>
<tr class="separator:ga6d62ff43dd9047c28b7eea05d25c643a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac6405d7422d368a1bec3577eae7d888b"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#gac6405d7422d368a1bec3577eae7d888b">MMWAVE_RF_CALIBRATION_DONE</a>&#160;&#160;&#160;4U</td></tr>
<tr class="memdesc:gac6405d7422d368a1bec3577eae7d888b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Link Status flag used to indicate that the RF Calibration completed. <br /></td></tr>
<tr class="separator:gac6405d7422d368a1bec3577eae7d888b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga306adc67f50e11447b74f72e91201820"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#ga306adc67f50e11447b74f72e91201820">MMWAVE_RF_CALIBRATION_FAILED</a>&#160;&#160;&#160;8U</td></tr>
<tr class="memdesc:ga306adc67f50e11447b74f72e91201820"><td class="mdescLeft">&#160;</td><td class="mdescRight">Link Status flag used to indicate that the Calibration failed. <br /></td></tr>
<tr class="separator:ga306adc67f50e11447b74f72e91201820"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac7dc375bb0e18df3932a52d769de6b2c"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#gac7dc375bb0e18df3932a52d769de6b2c">MMWAVE_RF_ESM_FAULT</a>&#160;&#160;&#160;16U</td></tr>
<tr class="memdesc:gac7dc375bb0e18df3932a52d769de6b2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Link Status flag used to indicate that the ESM fault was detected. <br /></td></tr>
<tr class="separator:gac7dc375bb0e18df3932a52d769de6b2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga117c0bb035721347eca861a25ad324c9"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#ga117c0bb035721347eca861a25ad324c9">MMWAVE_RF_CPU_FAULT</a>&#160;&#160;&#160;32U</td></tr>
<tr class="memdesc:ga117c0bb035721347eca861a25ad324c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Link Status flag used to indicate that the CPU fault was detected. <br /></td></tr>
<tr class="separator:ga117c0bb035721347eca861a25ad324c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c47bbbd22c058de2e5f9b055fb57e84"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n_s.html#ga6c47bbbd22c058de2e5f9b055fb57e84">MMWAVE_RF_ANALOG_FAULT</a>&#160;&#160;&#160;64U</td></tr>
<tr class="memdesc:ga6c47bbbd22c058de2e5f9b055fb57e84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Link Status flag used to indicate that the Analog fault was detected. <br /></td></tr>
<tr class="separator:ga6c47bbbd22c058de2e5f9b055fb57e84"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga25c4d5d5d13f302708ae1df776028c89"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___spawn_fxn_node__t.html">MMWave_SpawnFxnNode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga25c4d5d5d13f302708ae1df776028c89">MMWave_SpawnFxnNode</a></td></tr>
<tr class="memdesc:ga25c4d5d5d13f302708ae1df776028c89"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Spawn function entry  <a href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga25c4d5d5d13f302708ae1df776028c89">More...</a><br /></td></tr>
<tr class="separator:ga25c4d5d5d13f302708ae1df776028c89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbac1ce9984adfcb956bb4cb156af51b"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___chirp__t.html">MMWave_Chirp_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gafbac1ce9984adfcb956bb4cb156af51b">MMWave_Chirp</a></td></tr>
<tr class="memdesc:gafbac1ce9984adfcb956bb4cb156af51b"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Chirp configuration  <a href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gafbac1ce9984adfcb956bb4cb156af51b">More...</a><br /></td></tr>
<tr class="separator:gafbac1ce9984adfcb956bb4cb156af51b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga02a208059bda7291b2695972af4e3a31"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___profile__t.html">MMWave_Profile_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga02a208059bda7291b2695972af4e3a31">MMWave_Profile</a></td></tr>
<tr class="memdesc:ga02a208059bda7291b2695972af4e3a31"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Profile configuration  <a href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga02a208059bda7291b2695972af4e3a31">More...</a><br /></td></tr>
<tr class="separator:ga02a208059bda7291b2695972af4e3a31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacefb60746c5fa8f6617cb7ad787c4b72"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___bpm_chirp__t.html">MMWave_BpmChirp_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacefb60746c5fa8f6617cb7ad787c4b72">MMWave_BpmChirp</a></td></tr>
<tr class="memdesc:gacefb60746c5fa8f6617cb7ad787c4b72"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave BPM configuration  <a href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacefb60746c5fa8f6617cb7ad787c4b72">More...</a><br /></td></tr>
<tr class="separator:gacefb60746c5fa8f6617cb7ad787c4b72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc5856c9a59f614a8f718c892090e86d"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___m_c_b__t.html">MMWave_MCB_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a></td></tr>
<tr class="memdesc:gabc5856c9a59f614a8f718c892090e86d"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Control MCB  <a href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">More...</a><br /></td></tr>
<tr class="separator:gabc5856c9a59f614a8f718c892090e86d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad619189275caf05f88965936091d9a33"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad619189275caf05f88965936091d9a33">MMWave_initLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gad619189275caf05f88965936091d9a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga458d1da796aacfa5b2c9dc4c1ac0c84e"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga458d1da796aacfa5b2c9dc4c1ac0c84e">MMWave_deinitLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga458d1da796aacfa5b2c9dc4c1ac0c84e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b4d46a7c427873a380abaae913bce87"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9b4d46a7c427873a380abaae913bce87">MMWave_openLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga9b4d46a7c427873a380abaae913bce87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeedf42bafc59208dbf7371cb6781ef61"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeedf42bafc59208dbf7371cb6781ef61">MMWave_closeLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gaeedf42bafc59208dbf7371cb6781ef61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81c894da774ee12e2cd29a2ee3cef8f1"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga81c894da774ee12e2cd29a2ee3cef8f1">MMWave_executeLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga81c894da774ee12e2cd29a2ee3cef8f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8f1bcc08c8d8ad182a456f2bc8b2a52"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac8f1bcc08c8d8ad182a456f2bc8b2a52">MMWave_configLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, int32_t *errCode)</td></tr>
<tr class="separator:gac8f1bcc08c8d8ad182a456f2bc8b2a52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacba780bd0b722b1ef450e72a798cd658"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gacba780bd0b722b1ef450e72a798cd658">MMWave_startLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gacba780bd0b722b1ef450e72a798cd658"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadaad8c3860263bad0f699e3cd3d92b8b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadaad8c3860263bad0f699e3cd3d92b8b">MMWave_stopLink</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gadaad8c3860263bad0f699e3cd3d92b8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a471d53d20d62cc2ac1c3e796d567489c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#a471d53d20d62cc2ac1c3e796d567489c">MMWave_deviceGetDeviceInfo</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, rlUInt8_t *devType, rlUInt8_t *platform)</td></tr>
<tr class="separator:a471d53d20d62cc2ac1c3e796d567489c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdcbf7110158c69a5ffc4904f724e9cd"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#afdcbf7110158c69a5ffc4904f724e9cd">MMWave_deviceCfgAsyncEvent</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:afdcbf7110158c69a5ffc4904f724e9cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31dc34698d7021ecbfae0ee20b5c4427"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#a31dc34698d7021ecbfae0ee20b5c4427">MMWave_deviceInitFxn</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a31dc34698d7021ecbfae0ee20b5c4427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85777c931fa701c8606025b618761d41"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#a85777c931fa701c8606025b618761d41">MMWave_deviceDeinitFxn</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a85777c931fa701c8606025b618761d41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a964962a52b49a1198f419fcb6b70f75a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#a964962a52b49a1198f419fcb6b70f75a">MMWave_deviceOpenFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a964962a52b49a1198f419fcb6b70f75a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2405d5a792b1b110eb9add5c01232098"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#a2405d5a792b1b110eb9add5c01232098">MMWave_deviceCloseFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a2405d5a792b1b110eb9add5c01232098"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47d1d1932e75944381f322747aea6bba"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#a47d1d1932e75944381f322747aea6bba">MMWave_deviceSyncFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a47d1d1932e75944381f322747aea6bba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44066303f349dad25eef03253301ea26"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#a44066303f349dad25eef03253301ea26">MMWave_deviceCfgFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, int32_t *errCode)</td></tr>
<tr class="separator:a44066303f349dad25eef03253301ea26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa200068c72ce4a1cd11878b695cfdf3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#aaa200068c72ce4a1cd11878b695cfdf3">MMWave_deviceStartFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:aaa200068c72ce4a1cd11878b695cfdf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44426d424025b9029b38a4b09f6b1b01"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#a44426d424025b9029b38a4b09f6b1b01">MMWave_deviceStopFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a44426d424025b9029b38a4b09f6b1b01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21eec852386035f37dbd792fd1d28b8d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#a21eec852386035f37dbd792fd1d28b8d">MMWave_deviceExecuteFxn</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:a21eec852386035f37dbd792fd1d28b8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a642f15f1f9dbe96278b9f7d631aec015"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#a642f15f1f9dbe96278b9f7d631aec015">MMWave_deviceEventFxn</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, uint16_t msgId, uint16_t sbId, uint16_t sbLen, uint8_t *payload)</td></tr>
<tr class="separator:a642f15f1f9dbe96278b9f7d631aec015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa9bd79013a02b4790f7135c97bc38a5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#aaa9bd79013a02b4790f7135c97bc38a5">MMWave_encodeError</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a> errorLevel, int32_t mmWaveError, int32_t subSysError)</td></tr>
<tr class="separator:aaa9bd79013a02b4790f7135c97bc38a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b34ef285bfab9e77c45af54fde9ea93"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#a0b34ef285bfab9e77c45af54fde9ea93">MMWave_decodeErrorLevel</a> (int32_t errCode)</td></tr>
<tr class="separator:a0b34ef285bfab9e77c45af54fde9ea93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16adfbb1bdb33937955d77ca219f2ba8"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga16adfbb1bdb33937955d77ca219f2ba8">MMWave_osalMutexCreate</a> (rlOsiMutexHdl_t *mutexHandle, rlInt8_t *name)</td></tr>
<tr class="separator:ga16adfbb1bdb33937955d77ca219f2ba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a62976461badf4450a1f8f4b0761a14"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2a62976461badf4450a1f8f4b0761a14">MMWave_osalMutexLock</a> (rlOsiMutexHdl_t *mutexHandle, rlOsiTime_t timeout)</td></tr>
<tr class="separator:ga2a62976461badf4450a1f8f4b0761a14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3b0dff04a2feea4bb0ef50ccfc9b8cbe"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3b0dff04a2feea4bb0ef50ccfc9b8cbe">MMWave_osalMutexUnlock</a> (rlOsiMutexHdl_t *mutexHandle)</td></tr>
<tr class="separator:ga3b0dff04a2feea4bb0ef50ccfc9b8cbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacbe2849d09a6e23665cfbe8e2da7b5d0"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gacbe2849d09a6e23665cfbe8e2da7b5d0">MMWave_osalMutexDelete</a> (rlOsiMutexHdl_t *mutexHandle)</td></tr>
<tr class="separator:gacbe2849d09a6e23665cfbe8e2da7b5d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafcc07b6dd0c52915413ea21dfaa4c637"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafcc07b6dd0c52915413ea21dfaa4c637">MMWave_osalSemCreate</a> (rlOsiSemHdl_t *semHandle, rlInt8_t *name)</td></tr>
<tr class="separator:gafcc07b6dd0c52915413ea21dfaa4c637"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad47c145850b46d80501bc36c14f3f9a2"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad47c145850b46d80501bc36c14f3f9a2">MMWave_osalSemWait</a> (rlOsiSemHdl_t *semHandle, rlOsiTime_t timeout)</td></tr>
<tr class="separator:gad47c145850b46d80501bc36c14f3f9a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5a4221ede72df2414ed761bf43a347d"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa5a4221ede72df2414ed761bf43a347d">MMWave_osalSemSignal</a> (rlOsiSemHdl_t *semHandle)</td></tr>
<tr class="separator:gaa5a4221ede72df2414ed761bf43a347d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d96bbb5eaf180b2a51dad079d5540ea"><td class="memItemLeft" align="right" valign="top">rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4d96bbb5eaf180b2a51dad079d5540ea">MMWave_osalSemDelete</a> (rlOsiSemHdl_t *semHandle)</td></tr>
<tr class="separator:ga4d96bbb5eaf180b2a51dad079d5540ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae3c920b5a1a97cec9f25a10924a025f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3c920b5a1a97cec9f25a10924a025f9"></a>
<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__internal_8h.html#ae3c920b5a1a97cec9f25a10924a025f9">gMMWave_MCB</a></td></tr>
<tr class="memdesc:ae3c920b5a1a97cec9f25a10924a025f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This the global variable which track all the information which is required by the mmWave control module. <br /></td></tr>
<tr class="separator:ae3c920b5a1a97cec9f25a10924a025f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the internal Header for the mmWave module. This header file should <em>NOT</em> be directly included by applications. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a0b34ef285bfab9e77c45af54fde9ea93"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a> MMWave_decodeErrorLevel </td>
          <td>(</td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>errCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is a utility function which given the error code will return the corresponding error level.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">errCode</td><td>Encoded error code retreived from the mmWave API. This is the error code which will be decoded.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Decoded</td><td>Error Level </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afdcbf7110158c69a5ffc4904f724e9cd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceCfgAsyncEvent </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to configure the asynchronous events. On the XWR14xx the MSS is the default handler for all asynchronous events and this is the default behavior for the BSS. We only need to configure if the start/stop asynchronous events are enabled or disabled.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 The function is used to configure the asynchronous events. On the XWR16xx either the DSS or the MSS could be configured to be the recepient of asynchronous events. It also configures if the start/stop asynchronous events are enabled or disabled.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a44066303f349dad25eef03253301ea26"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceCfgFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *&#160;</td>
          <td class="paramname"><em>ptrControlCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the configuration for the XWR14xx. There is only the MSS executing in the system here so we dont need to have any additional handling of the configuration.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrControlCfg</td><td>Pointer to the mmWave control configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>success</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 The function is used to handle the configuration for the XWR16xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrControlCfg</td><td>Pointer to the mmWave control configuration </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2405d5a792b1b110eb9add5c01232098"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceCloseFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to close the mmWave control module on XWR14xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>returns 0</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 The function is used to close the mmWave control module on XWR16xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a85777c931fa701c8606025b618761d41"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceDeinitFxn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to deinitialize the mmWave on XWR14xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 The function is used to deinitialize mmWave on XWR16xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a642f15f1f9dbe96278b9f7d631aec015"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MMWave_deviceEventFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>msgId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>sbId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>sbLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>payload</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the link asynchronous events for the XWR14xx. There is only the MSS executing in the system here so we dont need to have any additional handling.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">msgId</td><td>Message Identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbId</td><td>Subblock identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbLen</td><td>Length of the subblock </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">payload</td><td>Pointer to the payload buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 The function is used to handle the link asynchronous events for the XWR16xx. On the XWR16xx the mmWave module is responsible for relaying the mmWave link events to the peer execution domain</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">msgId</td><td>Message Identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbId</td><td>Subblock identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbLen</td><td>Length of the subblock </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">payload</td><td>Pointer to the payload buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a21eec852386035f37dbd792fd1d28b8d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceExecuteFxn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to execute the XWR14xx SOC specific execution for mmWave. There is nothing to be done here.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td><b>Description</b> <br />
 The function is used to handle the SOC specific execution. On the XWR16xx we check if there are any messages which have been received from the peer execution domain and process these messages.</td></tr>
  </table>
  </dd>
</dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a471d53d20d62cc2ac1c3e796d567489c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MMWave_deviceGetDeviceInfo </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlUInt8_t *&#160;</td>
          <td class="paramname"><em>devType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rlUInt8_t *&#160;</td>
          <td class="paramname"><em>platform</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to get the mmWave link device information. On the XWR14xx the link always executes only on the MSS.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">devType</td><td>Device Type populated by the API </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">platform</td><td>Platform populated by the API</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Device</td><td>Type as specified by the mmWave Link</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 The function is used to get the mmWave link device information. On the XWR16xx the link could execute on either the DSS or MSS. The function is used to handle these scenarios</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave control block </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">devType</td><td>Device Type populated by the API </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">platform</td><td>Platform populated by the API</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a31dc34698d7021ecbfae0ee20b5c4427"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceInitFxn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to initialize mmWave on XWR14xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 The function is used to initialize the mmWave on XWR16xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a964962a52b49a1198f419fcb6b70f75a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceOpenFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to open the mmWave control module on XWR14xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>returns 0</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 The function is used to open the mmWave control module on XWR16xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaa200068c72ce4a1cd11878b695cfdf3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceStartFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the link start for the XWR14xx. There is only the MSS executing in the system here so nothing additional needs to be done here.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>success</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 The function is used to handle the link start for the XWR16xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a44426d424025b9029b38a4b09f6b1b01"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceStopFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to handle the link stop for the XWR14xx. There is only the MSS executing in the system here so nothing additional needs to be done here.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Always</td><td>success</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 The function is used to handle the link stop for the XWR16xx.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a47d1d1932e75944381f322747aea6bba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_deviceSyncFxn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *&#160;</td>
          <td class="paramname"><em>ptrMMWaveMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to synchronize mmWave on XWR14xx. Since only the MSS executes on the system the module is always synchronized.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">1</td><td>- Always synchronized</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 The function is used to synchronize mmWave on XWR16xx. The function checks the status of the mmWave between the peers.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrMMWaveMCB</td><td>Pointer to the mmWave MCB </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated by the API on an error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Synchronized</td><td>- 1 </td></tr>
    <tr><td class="paramname">Unsynchronized</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaa9bd79013a02b4790f7135c97bc38a5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MMWave_encodeError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a>&#160;</td>
          <td class="paramname"><em>errorLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>mmWaveError</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>subSysError</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is used to encode the error code. This encoded error will be returned back to the application.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">errorLevel</td><td>Error level to be encoded </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mmWaveError</td><td>Error code for the mmWave </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">subSysError</td><td>Subsystem error code</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Encoded</td><td>error code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
